*********** Appel des paramtres pour l'anne 200x

clear

set mem 500m 
set more off


/***** choix du rpertoire racine dans lequel est stock le simulateur */
/***** chaque utilisateur doit adapter ce rpertoire racine  sa machine*/
cd "C:\piketty\RevolutionFiscale2010\Simulateur\" 

/**** choix de l'annee dont on veut utiliser les parametres */
global annee_sim=2010

/*********** appel des paramtres globaux */
insheet using "parametres/parametres.txt", clear names
keep if real(annee)==$annee_sim
/**** transformation de tous les parametres en macrovariables */
foreach var of varlist _all{
global `var'=`var'
}

/*********** appel des paramtres Impots */
insheet using "parametres/parametres(impots).txt", clear names
keep if real(annee)==$annee_sim
/**** transformation de tous les parametres en macrovariables */
foreach var of varlist _all{
global `var'=`var'
}

/*********** appel des paramtres Transferts */
insheet using "parametres/parametres(transferts).txt", clear names
keep if real(annee)==$annee_sim
/**** transformation de tous les parametres en macrovariables */
foreach var of varlist _all{
global `var'=`var'
}

/*********** appel des paramtres elasticites et prix d'un enfant */
insheet using "parametres/Parametres(elast_enfants).txt", clear names
keep if real(annee)==$annee_sim
/**** transformation de tous les parametres en macrovariables */
foreach var of varlist _all{
global `var'=`var'
}
