*********** programme complet de simulation
*********** choix de l'anne de simulation dans do_appel_parametres
*********** Choix du rpertoire racine dans do_appel_parametres ( excuter en premier)

clear

set mem 500m 
set more off

/******** choix du mode de calage*/
/******** calagecn=0 sauf pour do_mtr_ptr*/
global calagecn=0

/******** appel des paramtres*/
do Programmes/do_appel_parametres

/******** mise  jour des fichiers sources*/
do Programmes/do_mise_a_jour

/******** simulation du systme fiscalo-social*/
do Programmes/do_irpp
do Programmes/do_cotsoc
do Programmes/do_revcap
do Programmes/do_transferts
do Programmes/do_nouvel_ir
do Programmes/do_nouv_transferts
do Programmes/do_isf
do Programmes/do_autres_impots
do Programmes/do_prix_enfant
do Programmes/do_mtr_ptr

/********* prparation de tableaux prsentant les principaux rsultats des simulations*/
do Resultats/IRPP/do_res_irpp
do Resultats/NouvelIR/do_res_nouvel_ir
do Resultats/TousImpots/do_res_tous_impots

/**note: les programmes doivent tre excuts exactement dans cet ordre*/ 
/**en particulier, il faut excuter do_irpp avant do_cotsoc, car do_cotsoc utilise certaines variables irpp (rfr_irpp etc.) pour le calcul de la csg sur revenus de remplacement**/
/**de mme, il faut excuter do_cotsoc avant do_revcap, car do_revcap utilise nonsal_brut_cn pour le calcul des patrimoines par le rendement*/
/**de mme, il faut excuter do_prix_enfants aprs do_autres_impots, car do_prix_enfants utilise y_prim pour calculer des fractiles*/

